Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002721Dwarf FortressDwarf Mode -- Jobs, Equipmentpublic2010-07-16 19:272010-07-24 08:31
Assigned ToToady One 
PlatformWindowsOSSeven 64OS Version
Product Version0.31.10 
Target VersionFixed in Version0.31.11 
Summary0002721: Melee soldiers in mixed squad try to equip bolts, spam "cancels Pickup Equipment: Equipment mismatch"
DescriptionI have a 7 dwarfs military squad wearing a full bronze armor set, and their "individual choice weapon", exact match, and over clothing.

I tried destroying the squad and create it again with exactly the same parameters. They dropped their equipment, then took it back... but the same problem appeared, again with the Butcher.

The butcher seems to work normaly in game and in military, except it spams me with those messages.

Maybe it's related to his job ?
TagsNo tags attached.
Attached Files

- Relationships
child of 0000535acknowledgedToady One Equipping weapons/armor on military is erratic 

-  Notes
Logical2u (manager)
2010-07-16 19:28

Did you assign him ammo to carry? or a crossbow?
OzoneGrif (reporter)
2010-07-16 21:09

Okay, good point, he's using a "bow", and I assigned the squad "bolts".
Looks like the "individual weapon choice" is not a good way to deal with uniforms. :(
Footkerchief (manager)
2010-07-16 21:16

This kinda sounds like 0001374, but the "cancels Pickup Equipment" spam was only mentioned in 0002685, so I dunno. Your call, Logical2u.
OzoneGrif (reporter)
2010-07-16 21:28
edited on: 2010-07-16 21:29

I don't have arrows in my fortress, only bolts.
The squad only has bolts affected to them.
So if I understand well, my archer tries to pick up bolts, and notices he needs arrows and cancels the job.

If he was a tiny bit smarter, he should have picked a bronze crossbow instead of his copper bow.

Maybe "individual choice /ranged" should check the ammo list to know what's allowed. And also when they pick ammo, check what weapon they are wearing. (:) <- happy dwarf

OzoneGrif (reporter)
2010-07-17 01:11
edited on: 2010-07-17 02:20

Problem appears again with another Dwarf.
This time, he wears a crossbow, his quiver has some Bone bolts inside.

The military screen has ammunition :
- Metal bolts : Combat
- Bone bolts : Combat + Training
- Wood bolts : Combat + Training

He tries to take metal and/or bone bolts from a bin, but stops with the "Equipment mismatch" error.

So, I changed the ammunition in the military screen to :
- Any material bolts : Combat + Training

It worked. My dwarf took a few Metal bolts and left the room happy.

EDIT: It worked for a while and now it doesn't anymore... This time I don't know how to unlock it.

OzoneGrif (reporter)
2010-07-17 10:16

Uploaded save : [^]
OzoneGrif (reporter)
2010-07-18 09:25

I think I found why.

In a squad, I mixed Marksdwarves and Meleedwarves.
But ammunition is general to the whole Squad.

All my Meleedwarves are trying to pickup Bolts from my stockpile, but since they don't wear a Crossbow, they throw this error and cancel their job.

It's a bigger problem than it looks like as it prevents them pickup the rest of their equipment.
OzoneGrif (reporter)
2010-07-22 10:34

Does it match 0002685 ?

Toady resolved that one.
Footkerchief (manager)
2010-07-22 11:26

It may have been fixed. When 31.11 is released, it would be helpful to re-test your save and let us know.
OzoneGrif (reporter)
2010-07-24 05:40
edited on: 2010-07-24 05:40

That one seems to be fixed. Yay \o/
They won't take a quiver when they don't wear a Crossbow.

Footkerchief (manager)
2010-07-24 08:31


- Issue History
Date Modified Username Field Change
2010-07-16 19:27 OzoneGrif New Issue
2010-07-16 19:28 Logical2u Note Added: 0010460
2010-07-16 21:06 Footkerchief Relationship added child of 0000535
2010-07-16 21:07 Footkerchief Relationship deleted child of 0000535
2010-07-16 21:07 Footkerchief Relationship added duplicate of 0002685
2010-07-16 21:09 OzoneGrif Note Added: 0010471
2010-07-16 21:16 Footkerchief Note Added: 0010474
2010-07-16 21:28 OzoneGrif Note Added: 0010475
2010-07-16 21:29 OzoneGrif Note Edited: 0010475 View Revisions
2010-07-17 01:11 OzoneGrif Note Added: 0010481
2010-07-17 02:20 OzoneGrif Note Edited: 0010481 View Revisions
2010-07-17 02:20 OzoneGrif Note Edited: 0010481 View Revisions
2010-07-17 10:16 OzoneGrif Note Added: 0010500
2010-07-18 09:25 OzoneGrif Note Added: 0010564
2010-07-18 09:28 Footkerchief Summary Butcher cancels Pickup Equipment : Equipment mismatch => Melee soldiers in mixed squad try to equip bolts, spam "cancels Pickup Equipment: Equipment mismatch"
2010-07-18 09:29 Footkerchief Relationship added child of 0000535
2010-07-18 09:29 Footkerchief Relationship deleted 0002685
2010-07-22 10:34 OzoneGrif Note Added: 0010833
2010-07-22 11:26 Footkerchief Note Added: 0010843
2010-07-24 05:40 OzoneGrif Note Added: 0010904
2010-07-24 05:40 OzoneGrif Note Edited: 0010904 View Revisions
2010-07-24 08:31 Footkerchief Note Added: 0010909
2010-07-24 08:31 Footkerchief Status new => resolved
2010-07-24 08:31 Footkerchief Fixed in Version => 0.31.11
2010-07-24 08:31 Footkerchief Resolution open => fixed
2010-07-24 08:31 Footkerchief Assigned To => Toady One

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker